Conversations
List conversation items
GET
/openai/v1/conversations/{conversation_id}/itemsReturns the items belonging to the specified conversation.
Path ParametersQuery ParametersHeader Parameters
conversation_idstringrequired
The id of the conversation on which the items needs to be listed.limitintegeroptionaldefault: 20
A limit on the number of objects to be returned. Limit can range between 1 and 100, and the
default is 20.orderstringoptional
Sort order by the `created_at` timestamp of the objects. `asc` for ascending order and`desc`
for descending order.ascdesc
afterstringoptional
A cursor for use in pagination. `after` is an object ID that defines your place in the list.
For instance, if you make a list request and receive 100 objects, ending with obj_foo, your
subsequent call can include after=obj_foo in order to fetch the next page of the list.beforestringoptional
A cursor for use in pagination. `before` is an object ID that defines your place in the list.
For instance, if you make a list request and receive 100 objects, ending with obj_foo, your
subsequent call can include before=obj_foo in order to fetch the previous page of the list.item_typestringoptional
Filter by item type. If provided, only items of the specified type will be returned.messageoutput_messagefile_search_callcomputer_callcomputer_call_outputweb_search_callfunction_callfunction_call_outputtool_search_calltool_search_outputreasoningcompactionimage_generation_callcode_interpreter_calllocal_shell_calllocal_shell_call_outputshell_callshell_call_outputapply_patch_callapply_patch_call_outputmcp_list_toolsmcp_approval_requestmcp_approval_responsemcp_callcustom_tool_call_outputcustom_tool_callstructured_outputsoauth_consent_requestmemory_search_callmemory_command_preview_callmemory_command_preview_call_outputworkflow_actiona2a_preview_calla2a_preview_call_outputbing_grounding_callbing_grounding_call_outputsharepoint_grounding_preview_callsharepoint_grounding_preview_call_outputazure_ai_search_callazure_ai_search_call_outputbing_custom_search_preview_callbing_custom_search_preview_call_outputopenapi_callopenapi_call_outputbrowser_automation_preview_callbrowser_automation_preview_call_outputfabric_dataagent_preview_callfabric_dataagent_preview_call_outputazure_function_callazure_function_call_output
x-ms-user-isolation-keystringoptional
Opaque per-user isolation key used to scope endpoint-scoped data (responses, conversations, sessions) to a specific end user.Responses
data(structured_outputs | workflow_action | oauth_consent_request | bing_grounding_call | bing_grounding_call_output | sharepoint_grounding_preview_call | sharepoint_grounding_preview_call_output | azure_ai_search_call | azure_ai_search_call_output | bing_custom_search_preview_call | bing_custom_search_preview_call_output | openapi_call | openapi_call_output | browser_automation_preview_call | browser_automation_preview_call_output | fabric_dataagent_preview_call | fabric_dataagent_preview_call_output | azure_function_call | azure_function_call_output | a2a_preview_call | a2a_preview_call_output | memory_search_call | memory_command_preview_call | memory_command_preview_call_output | output_message | file_search_call | function_call | function_call_output | web_search_call | computer_call | computer_call_output | reasoning | tool_search_call | tool_search_output | compaction | image_generation_call | code_interpreter_call | local_shell_call | local_shell_call_output | shell_call | shell_call_output | apply_patch_call | apply_patch_call_output | mcp_call | mcp_list_tools | mcp_approval_request | mcp_approval_response | custom_tool_call | custom_tool_call_output)[]required
The requested list of items.One of the following:
structured_outputsStructuredOutputsOutputItem
workflow_actionWorkflowActionOutputItem
oauth_consent_requestOAuthConsentRequestOutputItem
Request from the service for the user to perform OAuth consent.bing_grounding_callBingGroundingToolCall
A Bing grounding tool call.bing_grounding_call_outputBingGroundingToolCallOutput
The output of a Bing grounding tool call.sharepoint_grounding_preview_callSharepointGroundingToolCall
A SharePoint grounding tool call.sharepoint_grounding_preview_call_outputSharepointGroundingToolCallOutput
The output of a SharePoint grounding tool call.azure_ai_search_callAzureAISearchToolCall
An Azure AI Search tool call.azure_ai_search_call_outputAzureAISearchToolCallOutput
The output of an Azure AI Search tool call.bing_custom_search_preview_callBingCustomSearchToolCall
A Bing custom search tool call.bing_custom_search_preview_call_outputBingCustomSearchToolCallOutput
The output of a Bing custom search tool call.openapi_callOpenApiToolCall
An OpenAPI tool call.openapi_call_outputOpenApiToolCallOutput
The output of an OpenAPI tool call.browser_automation_preview_callBrowserAutomationToolCall
A browser automation tool call.browser_automation_preview_call_outputBrowserAutomationToolCallOutput
The output of a browser automation tool call.fabric_dataagent_preview_callFabricDataAgentToolCall
A Fabric data agent tool call.fabric_dataagent_preview_call_outputFabricDataAgentToolCallOutput
The output of a Fabric data agent tool call.azure_function_callAzureFunctionToolCall
An Azure Function tool call.azure_function_call_outputAzureFunctionToolCallOutput
The output of an Azure Function tool call.a2a_preview_callA2AToolCall
An A2A (Agent-to-Agent) tool call.a2a_preview_call_outputA2AToolCallOutput
The output of an A2A (Agent-to-Agent) tool call.memory_search_callMemorySearchToolCall
A memory search tool call.memory_command_preview_callMemoryCommandToolCall
A memory command tool call.memory_command_preview_call_outputMemoryCommandToolCallOutput
The output of a memory command tool call.output_messageOpenAI.OutputItemOutputMessage
An output message from the model.file_search_callOpenAI.OutputItemFileSearchToolCall
The results of a file search tool call. See the
[file search guide](/docs/guides/tools-file-search) for more information.function_callOpenAI.OutputItemFunctionToolCall
A tool call to run a function. See the
[function calling guide](/docs/guides/function-calling) for more information.function_call_outputOpenAI.OutputItemFunctionToolCallOutput
The output of a function tool call.web_search_callOpenAI.OutputItemWebSearchToolCall
The results of a web search tool call. See the
[web search guide](/docs/guides/tools-web-search) for more information.computer_callOpenAI.OutputItemComputerToolCall
A tool call to a computer use tool. See the
[computer use guide](/docs/guides/tools-computer-use) for more information.computer_call_outputOpenAI.OutputItemComputerToolCallOutput
The output of a computer tool call.reasoningOpenAI.OutputItemReasoningItem
A description of the chain of thought used by a reasoning model while generating
a response. Be sure to include these items in your `input` to the Responses API
for subsequent turns of a conversation if you are manually
[managing context](/docs/guides/conversation-state).tool_search_callOpenAI.OutputItemToolSearchCall
tool_search_outputOpenAI.OutputItemToolSearchOutput
compactionOpenAI.OutputItemCompactionBody
A compaction item generated by the [`v1/responses/compact` API](/docs/api-reference/responses/compact).image_generation_callOpenAI.OutputItemImageGenToolCall
An image generation request made by the model.code_interpreter_callOpenAI.OutputItemCodeInterpreterToolCall
A tool call to run code.local_shell_callOpenAI.OutputItemLocalShellToolCall
A tool call to run a command on the local shell.local_shell_call_outputOpenAI.OutputItemLocalShellToolCallOutput
The output of a local shell tool call.shell_callOpenAI.OutputItemFunctionShellCall
A tool call that executes one or more shell commands in a managed environment.shell_call_outputOpenAI.OutputItemFunctionShellCallOutput
The output of a shell tool call that was emitted.apply_patch_callOpenAI.OutputItemApplyPatchToolCall
A tool call that applies file diffs by creating, deleting, or updating files.apply_patch_call_outputOpenAI.OutputItemApplyPatchToolCallOutput
The output emitted by an apply patch tool call.mcp_callOpenAI.OutputItemMcpToolCall
An invocation of a tool on an MCP server.mcp_list_toolsOpenAI.OutputItemMcpListTools
A list of tools available on an MCP server.mcp_approval_requestOpenAI.OutputItemMcpApprovalRequest
A request for human approval of a tool invocation.mcp_approval_responseOpenAI.OutputItemMcpApprovalResponseResource
A response to an MCP approval request.custom_tool_callOpenAI.OutputItemCustomToolCallResource
custom_tool_call_outputOpenAI.OutputItemCustomToolCallOutputResource
first_idstring
The first ID represented in this list.last_idstring
The last ID represented in this list.has_morebooleanrequired
A value indicating whether there are additional values available not captured in this list.